Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlb
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlb.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementations library for the core SWRL built-in methods. These built-ins are defined here and are documented here. See here for documentation on defining SWRL built-in libraries.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `abs(List<BuiltInArgument> arguments)`
`boolean` | `add(List<BuiltInArgument> arguments)`
`boolean` | `addDayTimeDurations(List<BuiltInArgument> arguments)`
`boolean` | `addDayTimeDurationToDate(List<BuiltInArgument> arguments)`
`boolean` | `addDayTimeDurationToDateTime(List<BuiltInArgument> arguments)`
`boolean` | `addDayTimeDurationToTime(List<BuiltInArgument> arguments)`
`boolean` | `addYearMonthDurations(List<BuiltInArgument> arguments)`
`boolean` | `addYearMonthDurationToDate(List<BuiltInArgument> arguments)`
`boolean` | `addYearMonthDurationToDateTime(List<BuiltInArgument> arguments)`
`boolean` | `anyURI(List<BuiltInArgument> arguments)`
`boolean` | `booleanNot(List<BuiltInArgument> arguments)`
`boolean` | `ceiling(List<BuiltInArgument> arguments)`
`boolean` | `contains(List<BuiltInArgument> arguments)`
`boolean` | `containsIgnoreCase(List<BuiltInArgument> arguments)`
`boolean` | `cos(List<BuiltInArgument> arguments)`
`boolean` | `date(List<BuiltInArgument> arguments)`
`boolean` | `dateTime(List<BuiltInArgument> arguments)`
`boolean` | `dayTimeDuration(List<BuiltInArgument> arguments)`
`boolean` | `divide(List<BuiltInArgument> arguments)`
`boolean` | `divideDayTimeDuration(List<BuiltInArgument> arguments)`
`boolean` | `divideYearMonthDurations(List<BuiltInArgument> arguments)`
`boolean` | `empty(List<BuiltInArgument> arguments)`
`boolean` | `endsWith(List<BuiltInArgument> arguments)`
`boolean` | `equal(List<BuiltInArgument> arguments)`
`boolean` | `first(List<BuiltInArgument> arguments)`
`boolean` | `floor(List<BuiltInArgument> arguments)`
`boolean` | `greaterThan(List<BuiltInArgument> arguments)`
`boolean` | `greaterThanOrEqual(List<BuiltInArgument> arguments)`
`boolean` | `integerDivide(List<BuiltInArgument> arguments)`
`boolean` | `length(List<BuiltInArgument> arguments)`
`boolean` | `lessThan(List<BuiltInArgument> arguments)`
`boolean` | `lessThanOrEqual(List<BuiltInArgument> arguments)`
`boolean` | `listConcat(List<BuiltInArgument> arguments)`
`boolean` | `listIntersection(List<BuiltInArgument> arguments)`
`boolean` | `listSubtraction(List<BuiltInArgument> arguments)`
`boolean` | `lowerCase(List<BuiltInArgument> arguments)`
`boolean` | `matches(List<BuiltInArgument> arguments)`
`boolean` | `member(List<BuiltInArgument> arguments)`
`boolean` | `mod(List<BuiltInArgument> arguments)`
`boolean` | `multiply(List<BuiltInArgument> arguments)`
`boolean` | `multiplyDayTimeDurations(List<BuiltInArgument> arguments)`
`boolean` | `multiplyYearMonthDuration(List<BuiltInArgument> arguments)`
`boolean` | `normalizeSpace(List<BuiltInArgument> arguments)`
`boolean` | `notEqual(List<BuiltInArgument> arguments)`
`boolean` | `pow(List<BuiltInArgument> arguments)`
`boolean` | `replace(List<BuiltInArgument> arguments)`
`void` | `reset()`
`boolean` | `resolveURI(List<BuiltInArgument> arguments)`
`boolean` | `rest(List<BuiltInArgument> arguments)`
`boolean` | `round(List<BuiltInArgument> arguments)`
`boolean` | `roundHalfToEven(List<BuiltInArgument> arguments)`
`boolean` | `sin(List<BuiltInArgument> arguments)`
`boolean` | `startsWith(List<BuiltInArgument> arguments)`
`boolean` | `stringConcat(List<BuiltInArgument> arguments)`
`boolean` | `stringEqualIgnoreCase(List<BuiltInArgument> arguments)`
`boolean` | `stringLength(List<BuiltInArgument> arguments)`
`boolean` | `sublist(List<BuiltInArgument> arguments)`
`boolean` | `substring(List<BuiltInArgument> arguments)`
`boolean` | `substringAfter(List<BuiltInArgument> arguments)`
`boolean` | `substringBefore(List<BuiltInArgument> arguments)`
`boolean` | `subtract(List<BuiltInArgument> arguments)`
`boolean` | `subtractDates(List<BuiltInArgument> arguments)`
`boolean` | `subtractDateTimesYieldingDayTimeDuration(List<BuiltInArgument> arguments)`
`boolean` | `subtractDateTimesYieldingYearMonthDuration(List<BuiltInArgument> arguments)`
`boolean` | `subtractDayTimeDurationFromDate(List<BuiltInArgument> arguments)`
`boolean` | `subtractDayTimeDurationFromDateTime(List<BuiltInArgument> arguments)`
`boolean` | `subtractDayTimeDurationFromTime(List<BuiltInArgument> arguments)`
`boolean` | `subtractDayTimeDurations(List<BuiltInArgument> arguments)`
`boolean` | `subtractTimes(List<BuiltInArgument> arguments)`
`boolean` | `subtractYearMonthDurationFromDate(List<BuiltInArgument> arguments)`
`boolean` | `subtractYearMonthDurationFromDateTime(List<BuiltInArgument> arguments)`
`boolean` | `subtractYearMonthDurations(List<BuiltInArgument> arguments)`
`boolean` | `tan(List<BuiltInArgument> arguments)`
`boolean` | `time(List<BuiltInArgument> arguments)`
`boolean` | `tokenize(List<BuiltInArgument> arguments)`
`boolean` | `translate(List<BuiltInArgument> arguments)`
`boolean` | `unaryMinus(List<BuiltInArgument> arguments)`
`boolean` | `unaryPlus(List<BuiltInArgument> arguments)`
`boolean` | `upperCase(List<BuiltInArgument> arguments)`
`boolean` | `yearMonthDuration(List<BuiltInArgument> arguments)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### greaterThan

    public boolean greaterThan(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### lessThan

    public boolean lessThan(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### equal

    public boolean equal(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### notEqual

    public boolean notEqual(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### lessThanOrEqual

    public boolean lessThanOrEqual(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### greaterThanOrEqual

    public boolean greaterThanOrEqual(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Throws:
    `BuiltInException`

### add

    public boolean add(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### subtract

    public boolean subtract(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### multiply

    public boolean multiply(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### divide

    public boolean divide(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### integerDivide

    public boolean integerDivide(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### mod

    public boolean mod(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### pow

    public boolean pow(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### unaryPlus

    public boolean unaryPlus(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### unaryMinus

    public boolean unaryMinus(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### abs

    public boolean abs(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### ceiling

    public boolean ceiling(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Throws:
    `BuiltInException`

### floor

    public boolean floor(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### round

    public boolean round(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### roundHalfToEven

    public boolean roundHalfToEven(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### sin

    public boolean sin(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### cos

    public boolean cos(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### tan

    public boolean tan(List<BuiltInArgument> arguments)
                throws BuiltInException

  Throws:
    `BuiltInException`

### booleanNot

    public boolean booleanNot(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### stringEqualIgnoreCase

    public boolean stringEqualIgnoreCase(List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Throws:
    `BuiltInException`

### stringConcat

    public boolean stringConcat(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Throws:
    `BuiltInException`

### substring

    public boolean substring(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### stringLength

    public boolean stringLength(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Throws:
    `BuiltInException`

### upperCase

    public boolean upperCase(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### lowerCase

    public boolean lowerCase(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### contains

    public boolean contains(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### containsIgnoreCase

    public boolean containsIgnoreCase(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Throws:
    `BuiltInException`

### startsWith

    public boolean startsWith(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### endsWith

    public boolean endsWith(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### translate

    public boolean translate(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### substringAfter

    public boolean substringAfter(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Throws:
    `BuiltInException`

### substringBefore

    public boolean substringBefore(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### matches

    public boolean matches(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Throws:
    `BuiltInException`

### replace

    public boolean replace(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Throws:
    `BuiltInException`

### normalizeSpace

    public boolean normalizeSpace(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Throws:
    `BuiltInException`

### tokenize

    public boolean tokenize(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### yearMonthDuration

    public boolean yearMonthDuration(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Throws:
    `BuiltInException`

### dayTimeDuration

    public boolean dayTimeDuration(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### dateTime

    public boolean dateTime(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### date

    public boolean date(List<BuiltInArgument> arguments)
                 throws BuiltInException

  Throws:
    `BuiltInException`

### time

    public boolean time(List<BuiltInArgument> arguments)
                 throws BuiltInException

  Throws:
    `BuiltInException`

### addYearMonthDurations

    public boolean addYearMonthDurations(List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Throws:
    `BuiltInException`

### subtractYearMonthDurations

    public boolean subtractYearMonthDurations(List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### multiplyYearMonthDuration

    public boolean multiplyYearMonthDuration(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Throws:
    `BuiltInException`

### divideYearMonthDurations

    public boolean divideYearMonthDurations(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### addDayTimeDurations

    public boolean addDayTimeDurations(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDayTimeDurations

    public boolean subtractDayTimeDurations(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### multiplyDayTimeDurations

    public boolean multiplyDayTimeDurations(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### divideDayTimeDuration

    public boolean divideDayTimeDuration(List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDates

    public boolean subtractDates(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### subtractTimes

    public boolean subtractTimes(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### addYearMonthDurationToDateTime

    public boolean addYearMonthDurationToDateTime(List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### addDayTimeDurationToDateTime

    public boolean addDayTimeDurationToDateTime(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### subtractYearMonthDurationFromDateTime

    public boolean subtractYearMonthDurationFromDateTime(List<BuiltInArgument> arguments)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDayTimeDurationFromDateTime

    public boolean subtractDayTimeDurationFromDateTime(List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### addYearMonthDurationToDate

    public boolean addYearMonthDurationToDate(List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### addDayTimeDurationToDate

    public boolean addDayTimeDurationToDate(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### subtractYearMonthDurationFromDate

    public boolean subtractYearMonthDurationFromDate(List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDayTimeDurationFromDate

    public boolean subtractDayTimeDurationFromDate(List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### addDayTimeDurationToTime

    public boolean addDayTimeDurationToTime(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDayTimeDurationFromTime

    public boolean subtractDayTimeDurationFromTime(List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDateTimesYieldingYearMonthDuration

    public boolean subtractDateTimesYieldingYearMonthDuration(List<BuiltInArgument> arguments)
                                                       throws BuiltInException

  Throws:
    `BuiltInException`

### subtractDateTimesYieldingDayTimeDuration

    public boolean subtractDateTimesYieldingDayTimeDuration(List<BuiltInArgument> arguments)
                                                     throws BuiltInException

  Throws:
    `BuiltInException`

### resolveURI

    public boolean resolveURI(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### anyURI

    public boolean anyURI(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### listConcat

    public boolean listConcat(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### listIntersection

    public boolean listIntersection(List<BuiltInArgument> arguments)
                             throws BuiltInException

  Throws:
    `BuiltInException`

### listSubtraction

    public boolean listSubtraction(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### member

    public boolean member(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### length

    public boolean length(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### first

    public boolean first(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### rest

    public boolean rest(List<BuiltInArgument> arguments)
                 throws BuiltInException

  Throws:
    `BuiltInException`

### sublist

    public boolean sublist(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Throws:
    `BuiltInException`

### empty

    public boolean empty(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.